ATMEL: Data Fields

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - i -

- i : usb_host_task.c
- id_changed_to_host_event : usb_task.h
- ID_PIN_CHANGE_GENERATE_RESET : conf_usb.h
- ID_STREAM_ERR : ctrl_access.h
- IN_X : compiler.h
- INDEX_HIGH_POS : usb_host_enum.h
- INDEX_LOW_POS : usb_host_enum.h
- init_adc() : adc_drv.h
- Init_tb_srp_counter : usb_device_task.h
- init_usb_tree() : usb_host_enum.c , usb_host_enum.h
- Int16 : compiler.h
- Int32 : compiler.h
- Int8 : compiler.h
- INTEL_ALIGNMENT : compiler.h
- INTERFACE_CLASS : usb_descriptors.h
- INTERFACE_CLASS_HID : usb_descriptors.h
- INTERFACE_CLASS_MOUSE : usb_descriptors.h
- INTERFACE_INDEX : usb_descriptors.h
- INTERFACE_INDEX_MOUSE : usb_descriptors.h
- INTERFACE_NB : usb_descriptors.h
- INTERFACE_NB_HID : usb_descriptors.h
- INTERFACE_NB_MOUSE : usb_descriptors.h
- INTERFACE_PROTOCOL : usb_descriptors.h
- INTERFACE_PROTOCOL_HID : usb_descriptors.h
- INTERFACE_PROTOCOL_MOUSE : usb_descriptors.h
- INTERFACE_SUB_CLASS : usb_descriptors.h
- INTERFACE_SUB_CLASS_HID : usb_descriptors.h
- INTERFACE_SUB_CLASS_MOUSE : usb_descriptors.h
- Is_adc_conv_finished : adc_drv.h
- Is_adc_conv_not_finished : adc_drv.h
- is_any_interrupt_pipe_active() : usb_host_task.c , usb_host_task.h
- Is_bconnection_error_interrupt_enabled : usb_drv.h
- Is_BOD_reset : wdt_drv.h
- Is_btn_left : stk_525.h
- Is_btn_middle : stk_525.h
- Is_btn_not_left : stk_525.h
- Is_btn_not_middle : stk_525.h
- Is_btn_not_right : stk_525.h
- Is_btn_right : stk_525.h
- Is_device_connection : usb_drv.h
- Is_device_disconnection : usb_drv.h
- Is_device_disconnection_event : usb_host_task.h
- Is_device_enumerated : usb_standard_request.h
- is_device_mouse_event() : device_mouse_task.c
- Is_device_not_enumerated : usb_standard_request.h
- Is_device_self_powered : usb_host_enum.h
- Is_device_supports_remote_wakeup : usb_host_enum.h
- is_df_busy : df.h
- Is_dfu_connected : conf_usb.h
- Is_endpoint_configured : usb_drv.h
- Is_ep_addr_in : usb_drv.h
- Is_ext_reset : wdt_drv.h
- Is_fat12 : fat.h
- Is_fat16 : fat.h
- Is_fat32 : fat.h
- Is_hid_connected : conf_usb.h
- Is_hnp_error_interrupt_enabled : usb_drv.h
- Is_host_attached : usb_host_task.h
- Is_host_configured : usb_host_task.h
- Is_host_control_in_received : usb_drv.h
- Is_host_control_out_sent : usb_drv.h
- Is_host_device_connection_interrupt_enabled : usb_drv.h
- Is_host_device_disconnection_interrupt_enabled : usb_drv.h
- Is_host_device_ready : usb_host_task.h
- Is_host_device_supported : usb_host_task.h
- Is_host_down_stream_resume : usb_drv.h
- Is_host_down_stream_resume_interrupt_enabled : usb_drv.h
- Is_host_emergency_exit : usb_task.h
- Is_host_full_speed : usb_drv.h
- Is_host_hwup : usb_drv.h
- Is_host_hwup_interrupt_enabled : usb_drv.h
- Is_host_in_received : usb_drv.h
- Is_host_ms_configured : host_mem.c
- Is_host_nak_received : usb_drv.h
- Is_host_not_ready : usb_host_task.h
- Is_host_not_suspended : usb_host_task.h
- Is_host_one_bank_busy : usb_drv.h
- Is_host_out_sent : usb_drv.h
- Is_host_pipe_error : usb_drv.h
- Is_host_pipe_freeze : usb_drv.h
- Is_host_pipe_memory_allocated : usb_drv.h
- Is_host_read_enabled : usb_drv.h
- Is_host_ready : usb_host_task.h
- Is_host_remote_wakeup : usb_drv.h
- Is_host_remote_wakeup_interrupt_enabled : usb_drv.h
- Is_host_request_resume : usb_host_task.h
- Is_host_reset : usb_drv.h
- Is_host_reset_interrupt_enabled : usb_drv.h
- Is_host_setup_sent : usb_drv.h
- Is_host_sof : usb_drv.h
- Is_host_sof_interrupt_enabled : usb_drv.h
- Is_host_stall : usb_drv.h
- Is_host_suspended : usb_host_task.h
- Is_host_unattached : usb_host_task.h
- Is_host_write_enabled : usb_drv.h
- Is_hwb : stk_525.h
- Is_joy_down : stk_525.h
- Is_joy_left : stk_525.h
- Is_joy_not_down : stk_525.h
- Is_joy_not_left : stk_525.h
- Is_joy_not_right : stk_525.h
- Is_joy_not_up : stk_525.h
- Is_joy_right : stk_525.h
- Is_joy_up : stk_525.h
- Is_JTAG_enable : flash_drv.h
- Is_led0_on : stk_525.h
- Is_led1_on : stk_525.h
- Is_led2_on : stk_525.h
- Is_led3_on : stk_525.h
- Is_mouse_click_left_event : device_mouse_task.c
- Is_mouse_click_middle_event : device_mouse_task.c
- Is_mouse_click_right_event : device_mouse_task.c
- Is_mouse_down_event : device_mouse_task.c
- Is_mouse_left_event : device_mouse_task.c
- Is_mouse_right_event : device_mouse_task.c
- Is_mouse_scroll_down_event : device_mouse_task.c
- Is_mouse_scroll_up_event : device_mouse_task.c
- Is_mouse_up_event : device_mouse_task.c
- Is_new_device_connection_event : usb_host_task.h
- Is_not_hwb : stk_525.h
- Is_not_otg_event : usb_task.h
- Is_not_usb_event : usb_task.h
- Is_not_wdt_early_warning : wdt_drv.h
- Is_not_wdt_interrupt : wdt_drv.h
- Is_OCD_enable : flash_drv.h
- Is_otg_cache_bconnection_error : usb_drv.h
- Is_otg_event : usb_task.h
- Is_pipe_configured : usb_drv.h
- Is_pll_ready : pll_drv.h
- Is_POR_reset : wdt_drv.h
- Is_remote_wake_up_interrupt_enabled : usb_drv.h
- Is_reset_interrupt_enabled : usb_drv.h
- Is_resume_interrupt_enabled : usb_drv.h
- Is_role_exchange_interrupt_enabled : usb_drv.h
- Is_session_started_with_srp : usb_device_task.h
- Is_sof_interrupt_enabled : usb_drv.h
- Is_srp_interrupt_enabled : usb_drv.h
- Is_srp_sent_and_waiting_answer : usb_device_task.h
- Is_suspend_interrupt_enabled : usb_drv.h
- Is_suspend_time_out_interrupt_enabled : usb_drv.h
- Is_tb_srp_counter_overflow : usb_device_task.h
- Is_unicode : fat.h
- Is_usb_bconnection_error_interrupt : usb_drv.h
- Is_usb_cache_id_transition : usb_drv.h
- Is_usb_cache_vbus_transition : usb_drv.h
- Is_usb_clock_freezed : usb_drv.h
- Is_usb_detached : usb_drv.h
- Is_usb_device : usb_task.h
- Is_usb_device_enabled : usb_drv.h
- Is_usb_device_initiating_srp : usb_drv.h
- Is_usb_device_srp : usb_drv.h
- Is_usb_enabled : usb_drv.h
- Is_usb_endpoint_disabled : usb_drv.h
- Is_usb_endpoint_enabled : usb_drv.h
- Is_usb_endpoint_event : usb_drv.h
- Is_usb_endpoint_stall_requested : usb_drv.h
- Is_usb_event : usb_task.h
- Is_usb_frame_number_crc_error : usb_drv.h
- Is_usb_hnp : usb_drv.h
- Is_usb_hnp_error_interrupt : usb_drv.h
- Is_usb_host : usb_task.h
- Is_usb_host_enabled : usb_drv.h
- Is_usb_id_device : usb_drv.h
- Is_usb_id_host : usb_drv.h
- Is_usb_id_interrupt_enabled : usb_drv.h
- Is_usb_id_transition : usb_drv.h
- Is_usb_in_ready : usb_drv.h
- Is_usb_ms_data_direction_in : storage_task.h
- Is_usb_ms_data_direction_out : storage_task.h
- Is_usb_nak_in_sent : usb_drv.h
- Is_usb_nak_out_sent : usb_drv.h
- Is_usb_one_bank_busy : usb_drv.h
- Is_usb_overflow : usb_drv.h
- Is_usb_pending_remote_wake_up : usb_drv.h
- Is_usb_read_control_enabled : usb_drv.h
- Is_usb_read_enabled : usb_drv.h
- Is_usb_receive_out : usb_drv.h
- Is_usb_receive_setup : usb_drv.h
- Is_usb_regulator_enabled : usb_drv.h
- Is_usb_remote_wake_up_start : usb_drv.h
- Is_usb_reset : usb_drv.h
- Is_usb_resume : usb_drv.h
- Is_usb_role_exchange_interrupt : usb_drv.h
- Is_usb_sof : usb_drv.h
- Is_usb_srp_interrupt : usb_drv.h
- Is_usb_suspend : usb_drv.h
- Is_usb_suspend_time_out_interrupt : usb_drv.h
- Is_usb_underflow : usb_drv.h
- Is_usb_vbus_enabled : usb_drv.h
- Is_usb_vbus_error_interrupt : usb_drv.h
- Is_usb_vbus_high : usb_drv.h
- Is_usb_vbus_interrupt_enabled : usb_drv.h
- Is_usb_vbus_low : usb_drv.h
- Is_usb_vbus_manual_on : usb_drv.h
- Is_usb_vbus_transition : usb_drv.h
- Is_usb_wake_up : usb_drv.h
- Is_usb_write_enabled : usb_drv.h
- Is_usb_zlp : usb_drv.h
- Is_user_requested_disc : usb_task.h
- Is_user_requested_hnp : usb_task.h
- Is_user_requested_srp : usb_task.h
- Is_user_requested_suspend : usb_task.h
- Is_user_requested_vbus : usb_task.h
- Is_vbus_error_interrupt_enabled : usb_drv.h
- Is_wake_up_interrupt_enabled : usb_drv.h
- Is_wdt_early_warning : wdt_drv.h
- Is_wdt_interrupt : wdt_drv.h
- Is_wdt_reset : wdt_drv.h
- it_pipe_str : usb_task.c , usb_host_task.c